Package com.logicaldoc.core.security

# Class AccessControlEntry

java.lang.Object
com.logicaldoc.core.security.AccessControlEntry

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ExtendedAccessControlEntry`, `NoteAccessControlEntry`

@Embeddable public class AccessControlEntry extends Object implements Serializable
Represents all the permissions granted to a group against a business object

Since:
  8.9.1
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AccessControlEntry()`
`AccessControlEntry(long groupId)`
`AccessControlEntry(AccessControlEntry source)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`long`
`getGroupId()`
`Set<Permission>`
`grantedPermissions()`
`void`
`grantPermissions(Set<Permission> permissions)`
`int`
`hashCode()`
`boolean`
`isRead()`
`boolean`
`isWrite()`
`void`
`setGroupId(long groupId)`
`void`
`setRead(boolean read)`
`void`
`setWrite(boolean write)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccessControlEntry

public AccessControlEntry()

### AccessControlEntry

public AccessControlEntry(AccessControlEntry source)

### AccessControlEntry

public AccessControlEntry(long groupId)

## Method Details

### setGroupId

public void setGroupId(long groupId)

### getGroupId

public long getGroupId()

### isRead

public boolean isRead()

### setRead

public void setRead(boolean read)

### isWrite

public boolean isWrite()

### setWrite

public void setWrite(boolean write)

### grantedPermissions

public Set<Permission> grantedPermissions()

### grantPermissions

public void grantPermissions(Set<Permission> permissions)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`